<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="pt"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>MailService.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Credenciamento</a> &gt; <a href="index.source.html" class="el_package">br.edu.unifacisa.lti.service</a> &gt; <span class="el_source">MailService.java</span></div><h1>MailService.java</h1><pre class="source lang-java linenums">package br.edu.unifacisa.lti.service;

import br.edu.unifacisa.lti.domain.User;

import io.github.jhipster.config.JHipsterProperties;

import org.apache.commons.lang3.CharEncoding;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.MessageSource;
import org.springframework.mail.javamail.JavaMailSender;
import org.springframework.mail.javamail.MimeMessageHelper;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;
import org.thymeleaf.context.Context;
import org.thymeleaf.spring4.SpringTemplateEngine;

import javax.mail.internet.MimeMessage;
import java.util.Locale;

/**
 * Service for sending emails.
 * &lt;p&gt;
 * We use the @Async annotation to send emails asynchronously.
 * &lt;/p&gt;
 */
@Service
public class MailService {

<span class="fc" id="L30">    private final Logger log = LoggerFactory.getLogger(MailService.class);</span>

    private static final String USER = &quot;user&quot;;

    private static final String BASE_URL = &quot;baseUrl&quot;;

    private final JHipsterProperties jHipsterProperties;

    private final JavaMailSender javaMailSender;

    private final MessageSource messageSource;

    private final SpringTemplateEngine templateEngine;

    public MailService(JHipsterProperties jHipsterProperties, JavaMailSender javaMailSender,
<span class="fc" id="L45">            MessageSource messageSource, SpringTemplateEngine templateEngine) {</span>

<span class="fc" id="L47">        this.jHipsterProperties = jHipsterProperties;</span>
<span class="fc" id="L48">        this.javaMailSender = javaMailSender;</span>
<span class="fc" id="L49">        this.messageSource = messageSource;</span>
<span class="fc" id="L50">        this.templateEngine = templateEngine;</span>
<span class="fc" id="L51">    }</span>

    @Async
    public void sendEmail(String to, String subject, String content, boolean isMultipart, boolean isHtml) {
<span class="nc" id="L55">        log.debug(&quot;Send email[multipart '{}' and html '{}'] to '{}' with subject '{}' and content={}&quot;,</span>
<span class="nc" id="L56">            isMultipart, isHtml, to, subject, content);</span>

        // Prepare message using a Spring helper
<span class="nc" id="L59">        MimeMessage mimeMessage = javaMailSender.createMimeMessage();</span>
        try {
<span class="nc" id="L61">            MimeMessageHelper message = new MimeMessageHelper(mimeMessage, isMultipart, CharEncoding.UTF_8);</span>
<span class="nc" id="L62">            message.setTo(to);</span>
<span class="nc" id="L63">            message.setFrom(jHipsterProperties.getMail().getFrom());</span>
<span class="nc" id="L64">            message.setSubject(subject);</span>
<span class="nc" id="L65">            message.setText(content, isHtml);</span>
<span class="nc" id="L66">            javaMailSender.send(mimeMessage);</span>
<span class="nc" id="L67">            log.debug(&quot;Sent email to User '{}'&quot;, to);</span>
<span class="nc" id="L68">        } catch (Exception e) {</span>
<span class="nc" id="L69">            log.warn(&quot;Email could not be sent to user '{}'&quot;, to, e);</span>
<span class="nc" id="L70">        }</span>
<span class="nc" id="L71">    }</span>

    @Async
    public void sendActivationEmail(User user) {
<span class="nc" id="L75">        log.debug(&quot;Sending activation email to '{}'&quot;, user.getEmail());</span>
<span class="nc" id="L76">        Locale locale = Locale.forLanguageTag(user.getLangKey());</span>
<span class="nc" id="L77">        Context context = new Context(locale);</span>
<span class="nc" id="L78">        context.setVariable(USER, user);</span>
<span class="nc" id="L79">        context.setVariable(BASE_URL, jHipsterProperties.getMail().getBaseUrl());</span>
<span class="nc" id="L80">        String content = templateEngine.process(&quot;activationEmail&quot;, context);</span>
<span class="nc" id="L81">        String subject = messageSource.getMessage(&quot;email.activation.title&quot;, null, locale);</span>
<span class="nc" id="L82">        sendEmail(user.getEmail(), subject, content, false, true);</span>
<span class="nc" id="L83">    }</span>

    @Async
    public void sendCreationEmail(User user) {
<span class="fc" id="L87">        log.debug(&quot;Sending creation email to '{}'&quot;, user.getEmail());</span>
<span class="fc" id="L88">        Locale locale = Locale.forLanguageTag(user.getLangKey());</span>
<span class="fc" id="L89">        Context context = new Context(locale);</span>
<span class="fc" id="L90">        context.setVariable(USER, user);</span>
<span class="fc" id="L91">        context.setVariable(BASE_URL, jHipsterProperties.getMail().getBaseUrl());</span>
<span class="nc" id="L92">        String content = templateEngine.process(&quot;creationEmail&quot;, context);</span>
<span class="nc" id="L93">        String subject = messageSource.getMessage(&quot;email.activation.title&quot;, null, locale);</span>
<span class="nc" id="L94">        sendEmail(user.getEmail(), subject, content, false, true);</span>
<span class="nc" id="L95">    }</span>

    @Async
    public void sendPasswordResetMail(User user) {
<span class="nc" id="L99">        log.debug(&quot;Sending password reset email to '{}'&quot;, user.getEmail());</span>
<span class="nc" id="L100">        Locale locale = Locale.forLanguageTag(user.getLangKey());</span>
<span class="nc" id="L101">        Context context = new Context(locale);</span>
<span class="nc" id="L102">        context.setVariable(USER, user);</span>
<span class="nc" id="L103">        context.setVariable(BASE_URL, jHipsterProperties.getMail().getBaseUrl());</span>
<span class="nc" id="L104">        String content = templateEngine.process(&quot;passwordResetEmail&quot;, context);</span>
<span class="nc" id="L105">        String subject = messageSource.getMessage(&quot;email.reset.title&quot;, null, locale);</span>
<span class="nc" id="L106">        sendEmail(user.getEmail(), subject, content, false, true);</span>
<span class="nc" id="L107">    }</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.7.9.201702052155</span></div></body></html>